Follow

Release Notes

Version 1.0

    • Deployment to IaaS Target - TAI 1.2
    • Pivotal Operations Manager (V 1.2) which manages orchestrates deployment, configuration and management of all Cloud Fabric components
    • Pivotal Elastic Runtime (V 1.2). The core Pivotal Cloud Foundry system that provides the functionality to support the hosting, scaling and management of applications, in a variety of languages and frameworks 
    • Status Page for external monitoring , incident management
    • Nagios for internal monitoring
    • Pingdom for external service monitoring of Cloud Fabric platform
    • Sub domain for Fabric is *.cf.canopy-cloud.com 
    • SSL certificate
    • Signed by a 3rd party Certificate Authority ensuring that data from the end-users device to the Cloud Fabric platform, either through the Developer Console or the CLI is encrypted
    • Developer Console

     7 services :

    • MongoDB (2.6.1)
    • MySQL (5.6.13)
    • Neo4j (1.9.5)
    • Riak-cs (1.4.4)
    • Riak (1.4.7)
    • RabbitMQ (3.1.5)
    • Elasticsearch (0.0.0.64)

     7 Buildpacks :

    • Ruby (v46-245)
    • Java (2.1.2)
    • Node.js (1.1.0)
    • Go (1.3)
    • PHP (5.5.11)
    • Scala (0.11.0)
    • Clojure (2.0.0)

Version 1.3

    • Pivotal Operations Manager (V 1.3)
    • Pivotal Elastic Runtime (V 1.3)

    6 services with higher version

    • MySQL (10.0.12)
    • Rabbit MQ (3.3.5)
    • Cloudbees Jenkins (1.554.10.1)
    • Redis (2.8.13)
    • Pivotal HD Hadoop (1.2.1.0)
    • Pivotal Cassandra (4.5)

     Buildpacks with higher version

    • Ruby (1.1.4)
    • PHP (1.0.2)
    • Java (2.5)
    • Go ()
    • Tomcat Server (2.5)
    • Python (1.0.5)

Version 1.3.1

    • A critical vulnerability (CVE-2015-0235) has been reported in Ubuntu Stemcells for heap-based buffer overflow. A remote attacker could use this flaw to execute arbitrary code with the permissions of the user running the application.
    • Pivotal Elastic Runtime (V 1.3.4.0)
    • MongoDB (2.6.1)
    • Rabbit MQ (3.4.3)
    • Neo4J (1.9.5)
    • Redis (2.8.19)

Version 1.3.2

    • Postgresql (V 9.3)
    • Memcached (V 1.4.15)
    • Gemfire (V 1.0.0.0) 
    • DEA auto scaling
    • Status page customer auto-subscription

Version 1.3.3

    • Elastic Runtime (V 1.3.5.1), ERT 1.3.5.1 release contained patched versions of OpenSSL and a stronger default cipher suit
    • RabbitMQ (V 3.4.3)
    • MongoDB (V 2.6.1)
    • Gemfire (V 1.0.0.0 Alpha)
    • Redis (V 2.8.19)
    • Neo4J (V 1.9.5)
Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments